package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * The telephonyDevice description of callLog.
 */
@ApiModel(description = "The telephonyDevice description of callLog.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class CallLogDeviceOpenApiVo   {
  @JsonProperty("deviceName")
  private String deviceName;

  @JsonProperty("deviceMac")
  private String deviceMac;

  @JsonProperty("model")
  private String model;

  @JsonProperty("modelVersion")
  private String modelVersion;

  @JsonProperty("type")
  private String type;

  public CallLogDeviceOpenApiVo deviceName(String deviceName) {
    this.deviceName = deviceName;
    return this;
  }

  /**
   * The device name of callLog.
   * @return deviceName
  */
  @ApiModelProperty(value = "The device name of callLog.")


  public String getDeviceName() {
    return deviceName;
  }

  public void setDeviceName(String deviceName) {
    this.deviceName = deviceName;
  }

  public CallLogDeviceOpenApiVo deviceMac(String deviceMac) {
    this.deviceMac = deviceMac;
    return this;
  }

  /**
   * The device mac name of callLog.
   * @return deviceMac
  */
  @ApiModelProperty(value = "The device mac name of callLog.")


  public String getDeviceMac() {
    return deviceMac;
  }

  public void setDeviceMac(String deviceMac) {
    this.deviceMac = deviceMac;
  }

  public CallLogDeviceOpenApiVo model(String model) {
    this.model = model;
    return this;
  }

  /**
   * The device model of callLog.
   * @return model
  */
  @ApiModelProperty(value = "The device model of callLog.")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public CallLogDeviceOpenApiVo modelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
    return this;
  }

  /**
   * The device modelVersion of callLog.
   * @return modelVersion
  */
  @ApiModelProperty(value = "The device modelVersion of callLog.")


  public String getModelVersion() {
    return modelVersion;
  }

  public void setModelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
  }

  public CallLogDeviceOpenApiVo type(String type) {
    this.type = type;
    return this;
  }

  /**
   * The device type of callLog.
   * @return type
  */
  @ApiModelProperty(value = "The device type of callLog.")


  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CallLogDeviceOpenApiVo callLogDeviceOpenApiVo = (CallLogDeviceOpenApiVo) o;
    return Objects.equals(this.deviceName, callLogDeviceOpenApiVo.deviceName) &&
        Objects.equals(this.deviceMac, callLogDeviceOpenApiVo.deviceMac) &&
        Objects.equals(this.model, callLogDeviceOpenApiVo.model) &&
        Objects.equals(this.modelVersion, callLogDeviceOpenApiVo.modelVersion) &&
        Objects.equals(this.type, callLogDeviceOpenApiVo.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(deviceName, deviceMac, model, modelVersion, type);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CallLogDeviceOpenApiVo {\n");
    
    sb.append("    deviceName: ").append(toIndentedString(deviceName)).append("\n");
    sb.append("    deviceMac: ").append(toIndentedString(deviceMac)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    modelVersion: ").append(toIndentedString(modelVersion)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

